using System;
namespace ConsoleApp1
{
    class Program
    {
        static String Main(string[] args)
        {
            String c = Convert.ToString(Console.ReadLine());
            String c1 = Convert.ToString(c[0]);
            String c2 = Convert.ToString(c[1]);
            String a = Convert.ToString(Console.ReadLine());
            int a1 = Convert.ToInt32(Convert.ToString(a[0]));
            int a2 = Convert.ToInt32(Convert.ToString(a[2]));
            String rezultat = "";
            if (Math.Abs(a1 - a2) > 1)
            {

                rezultat = "nemoguce";
            }
            else
            {
                if (a1 == a2)
                {
                    for (int i = 0; i < a1; i++) rezultat += c1 + c2;

                }
                else if (a1 > a2)
                {
                    for (int i = 0; i < a2; i++) rezultat += c1 + c2;
                    rezultat += c1;
                }
                else
                {
                    for (int i = 0; i < a1; i++) rezultat += c2 + c1;
                    rezultat += c2;
                }
            }
            return rezultat;
        }
    }
}